io.agora.rtc

## Class CapabilityItem

- java.lang.Object
- - io.agora.rtc.CapabilityItem

-     class CapabilityItem
      extends java.lang.Object

  Capability item information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id` Capability ID
    `java.lang.String` | `name` Capability name

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CapabilityItem()` Default constructor for CapabilityItem.
    `CapabilityItem(int id, java.lang.String name)` Constructs CapabilityItem with ID and name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Gets the capability ID.
    `java.lang.String` | `getName()` Gets the capability name.
    `void` | `setId(int id)` Sets the capability ID.
    `void` | `setName(java.lang.String name)` Sets the capability name.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public int id

      Capability ID

    - #### name

          public java.lang.String name

      Capability name

  - ### Constructor Detail

    - #### CapabilityItem

          public CapabilityItem()

      Default constructor for CapabilityItem.

    - #### CapabilityItem

          public CapabilityItem(int id,
                                java.lang.String name)

      Constructs CapabilityItem with ID and name.
      Parameters:
        `id` - Capability ID
        `name` - Capability name

  - ### Method Detail

    - #### getId

          public int getId()

      Gets the capability ID.
      Returns:
        Capability ID

    - #### setId

          public void setId(int id)

      Sets the capability ID.
      Parameters:
        `id` - Capability ID

    - #### getName

          public java.lang.String getName()

      Gets the capability name.
      Returns:
        Capability name

    - #### setName

          public void setName(java.lang.String name)

      Sets the capability name.
      Parameters:
        `name` - Capability name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`